Handle temporary failures gracefully in the external mail handler script

2012-12-06 23:51 - Alex Shulgin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version:  

Description

Currently, the external mail handler (rdm-mailhandler.rb) would report permanent failure in case the Redmine instance at given --url

is down.

This is a problem, since one need to shut down email service around Redmine upgrade or maintenance.  Attached patch fixes this by

making the script exit with 75 status which is treated as 'temporary failure' by the mail subsystem, effectively re-attempting

submission later.

Patch against 2.1-stable.

Associated revisions

Revision 10954 - 2012-12-08 10:14 - Jean-Philippe Lang

MailHandler: exit with 75 when a SystemCallError is raised (#12528).

History

#1 - 2012-12-07 10:19 - Etienne Massip

- Target version set to Candidate for next major release

#2 - 2012-12-08 10:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.3.0

- Resolution set to Fixed

Committed with slight changes in r10954.
